<?php
/**
 * Created by PhpStorm.
 * User: loyaltysolutions
 * Date: 20/06/2019
 * Time: 2:19 AM
 */

namespace App\Http\Controllers;

use App\City;
use Illuminate\Http\Request;

use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\Validator;

class CityController extends Controller
{

    public function ListCities(){

        //$city = new City();
        $list_city = City::query()->get();
        return $list_city->toArray();

    }

    public function Index(Request $request){

        $valid = Validator::make($request->all(), [
          'country_id' => 'required'
        ]);

        if($valid->fails()){
            return response()->json([
                'data' => [], 'message' => 'country_id required', 'status' => '400'], 400);
        }

        $data = City::where('country_id', $request['country_id'])->get();
        if(count($data)) {
            return response()->json([
                'data' => $data, 'message' => 'Cities loaded', 'status' => '200'], 200);
        }
        return response()->json([
            'data' => [], 'message' => 'No data for selected city', 'status' => '400'], 400);
    }
}