<?php
/**
 * Created by PhpStorm.
 * User: loyaltysolutions
 * Date: 20/06/2019
 * Time: 2:19 AM
 */

namespace App\Http\Controllers;

use App\Products;
use Illuminate\Http\Request;

use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\Validator;

class ProductsController extends Controller
{

    public function save_products($array){

        $save_data = Products::insert($array);

        if(!$save_data){
            return ['status' => '0', 'message' => 'failed'];

        } else {
            return ['status' => '1', 'message' => 'success'];
        }

    }

    public function get_experiences_by_city(Request $request){
        $valid = Validator::make($request->all(), [
            'city_id' => 'required'
        ]);

        if($valid->fails()){
            return response()->json([
                'data' => [], 'message' => 'city_id required', 'status' => '400'], 400);
        }

        $data = Products::where('city_id', $request['city_id'])->where('status')->get();
        if(count($data)) {
            return response()->json([
                'data' => $data, 'message' => 'Products loaded', 'status' => '200'], 200);
        }
        return response()->json([
            'data' => [], 'message' => 'No data for selected city', 'status' => '400'], 400);
    }
}