<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateExperiencesstoreTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('experiencesstore', function (Blueprint $table) {
            $table->string('guid')->nullable();
            $table->string('title')->nullable();
            $table->string('picture')->nullable();
            $table->longText('description')->nullable();
            $table->string('supplier_name')->nullable();
            $table->string('location_lat')->nullable();
            $table->string('location_lon')->nullable();
            $table->string('location_city')->nullable();
            $table->string('location_state')->nullable();
            $table->string('location_country')->nullable();
            $table->string('google_city')->nullable();
            $table->string('google_state_short')->nullable();
            $table->string('google_state_long')->nullable();
            $table->string('google_country')->nullable();
            $table->string('currency_base')->nullable();
            $table->string('price')->nullable();
            $table->string('sale_percentage')->nullable();
            $table->string('duration_minutes')->nullable();
            $table->string('updated')->nullable();
            $table->string('created')->nullable();
            $table->string('url')->nullable();
            $table->longText('landingPages')->nullable();
            $table->longText('reviews')->nullable();
            $table->longText('images')->nullable();
            $table->bigIncrements('id');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('experiencesstore');
    }
}
