<?php



$router->get('/', function () use ($router) {
    return $router->app->version();
});
$router->group(['prefix' => 'api', 'middleware' => 'extaccess'], function () use ($router) {
    $router->post('single_experience', 'GiftingOwlController@get_single_experience');
    $router->get('get_countries', 'CountryController@Index');
    $router->post('get_cities', 'CityController@Index');
    $router->post('get_experiences_by_city', 'ProductsController@get_experiences_by_city');
    $router->post('get_experiences_availability', 'GiftingOwlController@getAvailability');
    $router->post('get_experience_booking_form', 'GiftingOwlController@getExperienceBookingForm');
    $router->post('get_experiences_booking_form', 'GiftingOwlController@getExperienceBookingForm');
    $router->post('book_experience', 'GiftingOwlController@bookExperience');

});

$router->group(['prefix' => 'gift'], function () use ($router) {
    $router->get('all_experiences', 'GiftingOwlController@get_experiences');
//    $router->get('get_exchange_rate', 'GiftingOwlController@get_exchange_rate');
//    $router->get('get_experience_total', 'GiftingOwlController@get_total_pages');
//    $router->get('get_experiences/{pages}', 'GiftingOwlController@get_all_experiences');
//    $router->get('get_page_experience/{page}', 'GiftingOwlController@get_page_experience');
//    $router->get('insert_experience', 'GiftingOwlController@insert_experience');
    $router->get('save_experience', 'GiftingOwlController@get_save_experiences');
//    $router->get('get_country', 'GiftingOwlController@get_unique_country');
//    $router->get('list_country', 'CountryController@ListCountry');
//    $router->get('country', 'GiftingOwlController@get_country');
    $router->get('save_country', 'GiftingOwlController@save_country');
//    $router->get('list_city', 'CityController@ListCities');
    $router->get('save_city', 'GiftingOwlController@save_city');
    $router->get('list_compare', 'GiftingOwlController@store_get_table');
//    $router->get('experiences/page/{page}/limit/{limit}', function ($page, $limit)    {

});